<?php

namespace Builder\App\Providers;

use Builder\App\Application\Bootstrap\Helpers as h;
use Builder\Includes\Assets;

class AssetsProvider extends Provider {

    /**
     * @return mixed
     */
    public function boot() {
        add_action('init', function() {
            $assetManager = h\app()->make('assets');

            $assetManager->registerAliases();

            /** @var If front loaded than use front enqueue hook else admin hook . $hook */
            $hook = is_admin() ? 'admin_enqueue_scripts' : 'wp_enqueue_scripts';
            $aliases = is_admin() ? $assetManager->getAdminAliases() : $assetManager->getFrontAliases();

            add_action($hook, function () use ($assetManager, $aliases) {
                $assetManager->enqueue($aliases);
            });
        });
    }

    /**
     * Register provider .
     *
     * @return mixed
     */
    public function register() {
        h\app()->singleton('assets', function () {
            return new Assets(
                h\app()->getConfig('assets', [])
            );
        });
    }
}