<?php

namespace Builder\App\Providers;

use Builder\App\Application\Bootstrap\Helpers as h;
use Builder\Includes\Fields;

class FieldsProvider extends Provider  {

    /**
     * Register provider .
     *
     * @return mixed
     */
    public function register() {
        add_action('admin_init', function() {

            $fields = $this->load('fields.php');

            $fieldObj = new Fields(
                $fields->getData()
            );

            $fieldObj->register();

            h\app()->singleton('fields', function () use($fieldObj) {
                return $fieldObj;
            });
        });
    }
}