<?php

namespace Builder\App\Providers;

use Builder\App\Application\Bootstrap\Helpers as h;

class MediaProvider extends Provider {

    /**
     * Register provider .
     *
     * @return mixed
     */
    public function register() {
        $media = h\app()->getConfig('media', []);

        array_walk($media, function ($v, $k) {
            add_action('admin_menu', function () use ($v, $k) {
                add_action('media_buttons', function () use ($v, $k) {
                    $view = isset($v['view']) ? $v['view'] : '';
                    $nonce = wp_create_nonce($k);

                    if ($view instanceof \Closure)
                        $view = $view($nonce, $k);

                    echo $view;
                });
            });

            if (isset($v['handler']) && ($v['handler'] instanceof \Closure))
                add_action('wp_ajax_' . $k, $v['handler']);
        });
    }
}