<?php

namespace Builder\App\Providers;

use Builder\App\Application\Bootstrap\Helpers as h;

class PostsProvider extends Provider {

    /**
     * Register provider .
     *
     * @return mixed
     */
    public function register() {
        add_action('init', function () {
            $posts = h\app()->getConfig('post_types', []);

            array_walk($posts, function($args, $key) {
                $defaults = array(
                    'labels'               => array(),
                    'description'          => '',
                    'public'               => false,
                    'hierarchical'         => false,
                    'exclude_from_search'  => null,
                    'publicly_queryable'   => null,
                    'show_ui'              => null,
                    'show_in_menu'         => null,
                    'show_in_nav_menus'    => null,
                    'show_in_admin_bar'    => null,
                    'menu_position'        => null,
                    'menu_icon'            => null,
                );

                array_walk($args, function($v, $k) use(&$args){
                    if($v instanceof \Closure)
                        $args[$k] = $v();
                });

                register_post_type( $key, array_merge($defaults, $args));
            });
        });
    }
}