<?php

namespace Builder\App\Providers;

use Noodlehaus\Config;
use Builder\App\Application\Bootstrap\Helpers as h;

abstract class Provider {

    /**
     * @var
     */
    protected $apps;

    /**
     * @param $apps
     */
    public function __construct($apps) {

        $this->apps = $apps;
    }

    public function boot() {}

    abstract public function register();

    /**
     * Load file .
     *
     * @param $file
     * @param null $dir
     * @return mixed
     */
    public static function load($file, $dir = null) {
        if(is_null($dir))
            $dir = __DIR__ . DIRECTORY_SEPARATOR . '../..' . DIRECTORY_SEPARATOR . 'config' . DIRECTORY_SEPARATOR;

        $file = $dir . DIRECTORY_SEPARATOR . $file;

        if( file_exists($file) )
            return Config::load(
                $file
            );
    }
}