<?php

namespace Builder\App\Providers;

use Builder\App\Application\Bootstrap\Helpers as h;

class ShortcodeProvider extends Provider
{
    /**
     * Register shortcodes.
     * This stuff need's to recognize shortcodes.
     *
     * @return mixed
     */
    public function register()
    {
        $shortcodes = h\app()->getConfig('shortcodes', []);

        array_walk($shortcodes, function(\Closure $callback, $shortcode) {
            add_shortcode($shortcode, $callback);
        });
    }
}