<?php

use Builder\App\Application\Bootstrap\Helpers as h;

return array(

    /**
     * Email sending fields ..
     *
     */
    'qcontact_settings_mail' => array(
        'label' => __('Mail Settings', 'q-contact'),

        'fields' => array(
            'to' => array(
                'label' => __('To', 'q-contact').':',
                'type' => 'text',
                'value' => function() {
                    return h\settings('qcontact_settings_mail_to');
                },
            ),
            'from' => array(
                'label' => __('From', 'q-contact').':',
                'type' => 'text',
                'value' => function(){
                    return h\settings('qcontact_settings_mail_from');
                }
            ),
            'subject' => array(
                'label' => __('Subject', 'q-contact').':',
                'type' => 'text',
                'value' => function(){
                    return h\settings('qcontact_settings_mail_subject');
                }
            ),
            'message' => array(
                'label' => __('Message Body', 'q-contact').':',
                'type' => 'wysiwyg',
                'attr' => array(
                    'style' => 'width: 500px; height:320px'
                ),
                'value' => function() {
                    return h\settings('qcontact_settings_mail_message');
                }
            )
        )
    ),

    /**
     * Default Qcontact flash messages .
     *
     */
    'qcontact_messages' => array(
        'label' => __('Flash Messages', 'q-contact'),

        'fields' => array(
            'successful' => array(
                'label' => __('On Success', 'q-contact').':',
                'type' => 'text',
                'value' => function(){
                    return h\settings('qcontact_messages_successful');
                }
            ),
            'failed' => array(
                'label' => __('On Fail', 'q-contact').':',
                'type' => 'text',
                'value' => function(){
                    return h\settings('qcontact_messages_failed');
                }
            )
        )
    ),

    /**
     * There will be stored reCaptcha keys .
     *
     */
    'qcontact_recaptcha_settings' => array(
        'label' => __('reCaptcha Settings', 'q-contact'),

        'fields' => array(
            'site_key' => array(
                'label' => __('Your site key', 'q-contact'),
                'type' => 'text',
                'value' => function() {
                    return  __('------- Insert your site key -------', 'q-contact');
                }
            ),
            'secret_key' => array(
                'label' => __('Your secret key', 'q-contact'),
                'type' => 'text',
                'value' => function(){
                    return __('------- Insert your secret key -------', 'q-contact');
                }
            )
        )
    ),

    'qcontact_gmaps_settings' => array(
        'label' => __('Google Maps Settings', 'q-contact'),

        'fields' => array(
            'gmap_key' => array(
                'label' => __('Your gmaps key', 'q-contact'),
                'type' => 'text',
                'value' => function() {
                    return  __('------- Insert your gmaps key -------', 'q-contact');
                }
            )
        )
    ),

    'qcontact_additional_settings' => array(
        'label' => __('Additional Settings', 'q-contact'),

        'fields' => array(
            'send_to_email' => array(
                'label' => __('Sent to email', 'q-contact'),
                'type' => 'checkbox',
                'value' => h\settings('qcontact_additional_settings_send_to_email')
            )
        )
    )
);