<?php

use Builder\App\Application\Bootstrap\Helpers as h;

$container = 'builder_container';

return array(

    /**
     * There will be list of templates .
     *
     */
    'templates' => array(
        'align_top_left' => array(
            'title' => __('Aligned Top Left', 'q-contact'),
            'icon' => h\assets('images/i-1.png'),
            'class' => 'hot_icon',
            'content' => h\view('templates/align_top_left'),
        ),
        'align_left' => array(
            'title' => __('Aligned <br/ >Left', 'q-contact'),
            'icon' => h\assets('images/i-2.png'),
            'class' => 'hot_icon',
            'content' => h\view('templates/align_left'),
        ),
        'align_right' => array(
            'title' => __('Aligned <br/ >Right', 'q-contact'),
            'icon' => h\assets('images/i-3.png'),
            'class' => 'hot_icon',
            'content' => h\view('templates/align_right'),
        ),
        'white_bg' => array(
            'title' => __('White Background', 'q-contact'),
            'icon' => h\assets('images/i-5.png'),
            'class' => 'hot_icon',
            'content' => h\view('templates/white_bg'),
        ),
        'custom_bg' => array(
            'title' => __('Custom Background', 'q-contact'),
            'icon' => h\assets('images/i-4.png'),
            'content' => h\view('templates/custom_bg'),
        ),
        'web_design' => array(
            'title' => __('Web <br/ >Design', 'q-contact'),
            'icon' => h\assets('images/i-8.png'),
            'content' => h\view('templates/web_design'),
        ),
        'web_dev' => array(
            'title' => __('Web Development', 'q-contact'),
            'icon' => h\assets('images/i-6.png'),
            'content' => h\view('templates/web_dev'),
        ),
        'business_type' => array(
            'title' => __('Estates Business Type', 'q-contact'),
            'icon' => h\assets('images/i-7.png'),
            'content' => h\view('templates/business_type'),
        ),
        /*'mob_dev' => array(
            'title' => __('Mobile Development', 'q-contact'),
            'icon' => h\assets('images/i-9.png'),
            'content' => h\view('templates/mob_dev'),
        )*/
    ),

    /**
     * There will be list of draggable widgets .
     *
     * http://nd2.godesign.ch/examples/extended/icons.html for icons
     */
    'widgets' => array(
        'text' => array(
            'label' => __('Text', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-text-format'
        ),
        'textarea' => array(
            'label' => __('Textarea', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'image' => h\assets('images/icon-textarea.png')
        ),
        'date' => array(
            'label' => __('Date', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-calendar-alt'
        ),
        'time' => array(
            'label' => __('Time', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-time'
        ),
        'checkbox' => array(
            'label' => __('Checkbox', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-check-square'
        ),
        'radio' => array(
            'label' => __('Radio', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-dot-circle-alt'
        ),
        'select' => array(
            'label' => __('Select', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-caret-down-circle'
        ),
        'number' => array(
            'label' => __('Number', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-n-1-square'
        ),
        'file' => array(
            'label' => __('File', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-file'
        ),
        'button' => array(
            'label' => __('Button', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-text-format'
        ),
        'headline' => array(
            'label' => __('Headline', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-format-size'
        ),
        'paragraph' => array(
            'label' => __('Paragraph', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-label'
        ),
        'captcha' => array(
            'label' => __('reCaptcha', 'q-contact'),
            'editor' => 'general',
            'container' => $container,
            'class' => 'zmdi-shield-security'
        ),
        'marker' => array(
            'label' => __('Marker', 'q-contact'),
            'editor' => 'general',
            'container' => 'qcontact_map',
            'class' => 'zmdi-pin-drop'
        ),
    )
);