<?php

namespace Builder\Includes;

use Builder\App\Application\Bootstrap\Helpers as h;

class Menu {

    /**
     * @var array
     */
    private $data;

    public function __construct(array $data = array()) {

        $this->setData($data);
    }

    /**
     * @return array
     */
    public function getData() {
        return $this->data;
    }

    /**
     * @param array $data
     */
    public function setData($data) {
        $this->data = $data;
    }

    /**
     * Register menus .
     *
     */
    public function register() {
        $data = $this->getData();

        array_walk($data, function ($menu)  {
            $this->addMenu($menu);
        });
    }

    /**
     * Add menu to wordPress administration panel .
     *
     * @param $menu
     * @return $this
     */
    public function addMenu($menu) {

        /** On admin menu register . */
        if( isset($menu['parent']) ) {
            add_submenu_page(
                $menu['parent'],
                isset($menu['page_title']) ? $menu['page_title'] : '',
                isset($menu['menu_title']) ? $menu['menu_title'] : '',
                isset($menu['capability']) ? $menu['capability'] : '',
                isset($menu['menu_slug']) ? $menu['menu_slug'] : '',
                isset($menu['function']) ? $menu['function'] : ''
            );
        } else {
            add_menu_page(
                isset($menu['page_title']) ? $menu['page_title'] : '',
                isset($menu['menu_title']) ? $menu['menu_title'] : '',
                isset($menu['capability']) ? $menu['capability'] : '',
                isset($menu['menu_slug']) ? $menu['menu_slug'] : '',
                isset($menu['function']) ? $menu['function'] : '',
                isset($menu['icon_url']) ? $menu['icon_url'] : null,
                isset($menu['position']) ? $menu['position'] : null
            );
        }

        if( isset($menu['pages']) && $submenu = $menu['pages'] ) {
            $apps = $this; $parent = $menu;

            array_walk($submenu, function($menu) use($apps, $parent) {
                $apps->addMenu($menu + ['parent' => $parent['menu_slug'] ]);
            });
        }

        return $this;
    }
}