<?php

namespace Builder\Includes;

use Builder\App\Application\Bootstrap\Helpers as h;

class Message {

    /**
     * @var
     */
    private $message;

    /**
     * @var
     */
    private $type;

    /**
     * @var array
     */
    private $options;

    /**
     * @param $message
     * @param $type
     * @param array $options
     */
    public function __construct($message, $type, array $options = array()) {
        $this->message = $message;
        $this->type = $type;
        $this->options = $options;
    }

    /**
     * @return mixed
     */
    public function getMessage() {
        return $this->message;
    }

    /**
     * @param mixed $message
     */
    public function setMessage($message) {
        $this->message = $message;
    }

    /**
     * @return mixed
     */
    public function getType() {
        return $this->type;
    }

    /**
     * @param mixed $type
     */
    public function setType($type) {
        $this->type = $type;
    }

    /**
     * @return array
     */
    public function getOptions() {
        return $this->options;
    }

    /**
     * @param array $options
     */
    public function setOptions($options) {
        $this->options = $options;
    }

    /**
     * Render message .
     *
     * @param string $template
     * @return mixed
     */
    public function render($template = 'flash') {
        return h\view($template, array(
            'options' => $this->getOptions(),
            'message' => $this->getMessage(),
            'type' => $this->getType(),
        ));
    }

}