<?php global $post; ?>
<?php use Builder\App\Application\Bootstrap\Helpers as h; ?>

<?php $page = isset($_GET['post']) ? $_GET['post'] : @$_GET['page']; ?>

<?php if (get_post_type() != h\settings('inbox_type') && $page != h\settings('qsettings')) : ?>
    <a href="#" id="add-qcontact" class="button add_media">
    <span><img id="qcontact-media-icon" src="<?php echo  h\assets('images/icon-02.png') ?>" class="qcontact-media-icon"></span>
        <?php echo __('Add qContact', 'q-contact'); ?>
    </a>

    <script type="text/javascript">
        (function($) {
            function build_short_code(id) {
                return '[<?php echo h\settings('short_code_name') ?> id="'+id+'"]';
            }

            function insert_short_code_to_media(contact_id) {
                var regex = new RegExp('\\[qcontact\\s+id=[\"|\']'+contact_id+'[\"|\']\\]', 'i');

                var short_code = build_short_code(contact_id);
                var content = parent.tinyMCE.activeEditor.getContent();

                if( ! regex.test(content) ) {
                    parent.tinyMCE.activeEditor.setContent(
                        content + short_code
                    )
                }
            }

            function insert_short_code(){
                var title = jQuery('.qcontact_tab_list li.active a');
                var content = jQuery('div.tab-pane.active div.qcontact_output', document);

                if( content.find('.qcontact_map').length )
                    content.find('.qcontact_map').html('');

                var captcha = 0;
                if(content.find('div.g-recaptcha').length)
                    captcha = 1;

                jQuery.ajax({
                    type: "post",url: "<?php echo esc_url( admin_url('admin-post.php') ); ?>",
                    data: {
                        action: 'save_template',
                        _ajax_nonce: '<?php echo $nonce; ?>',
                        post_id: '<?php echo $post->ID; ?>',
                        title: title.data('template'),
                        require_captcha: captcha,
                        content: content.html()
                    },
                    success: function(response) {
                        var data = JSON.parse(response);

                        insert_short_code_to_media(data.id);

                        jQuery('#qcontact').modal('hide');
                    }
                });
            }

            function initialize_builder() {
                $('.widgets').builder({
                    finder: function(el) {
                        return $('.' + el + ':visible');
                    },
                    events: {
                        on_drop: function(event, avatar) {

                            if( avatar.get_template_name() == 'marker' ) {

                                var map = $('.qcontact_general_template:visible')
                                    .find('div.qcontact_map')
                                    .data('map');

                                var offset = $(map.getDiv()).offset();

                                var latlng = pixelToLatlng(
                                    event.pageX - offset.left, event.pageY - offset.top, map
                                );

                                var position = {
                                        lat: latlng.lat(),
                                        lng: latlng.lng()
                                    }, container = map.getDiv(),
                                    markers = (undefined !== $(container).data('markers')) ? $(container).data('markers') : [];

                                var marker = qcontact_utils.add_gmap_marker(map, position.lat, position.lng, {}, true);

                                markers.push({
                                    lat: marker.position.lat(),
                                    lng: marker.position.lng(),
                                    title: marker.title
                                });

                                $(container).attr('data-markers' , JSON.stringify(markers));

                                qcontact_utils.close_panel();

                                return false;
                            }

                            return true;
                        }
                    },
                    editors: {
                        tooltip: {
                            init: function(el, layout, options) {
                                options.content = $(layout);

                                options.content.find('.root').data({
                                    avatar: el
                                });

                                $(el.element).popover(options).on('show.bs.popover', function() {
                                    $('[data-toggle=popover]').not(this).popover('hide');
                                });
                            },
                            destroy: function(el) {
                                $(el.element).popover('destroy');
                            },
                            template : '<div class="popover popover-tootltip" role="tooltip"><div class="popover-content"></div></div>',
                            animation: true,
                            enabled: true
                        },
                        medium: {
                            init: function(avatar, layout, options) {
                                options.toolbar = {
                                    buttons: ['bold', 'italic', 'underline', 'removeFormat']
                                };

                                var editor = new MediumEditor(
                                    avatar.children,
                                    options
                                );

                                editor.subscribe('editableInput', function (event, editable) {
                                    var text = $(editable).text();

                                    avatar.fill_attributes({
                                        text: text
                                    });
                                });
                            }
                        }
                    },
                    template_path: 'wp-content/plugins/qcontact/views/templates.htm',
                    properties: {
                        layout: '<?php echo h\view('properties')?>',
                        class: 'properties',
                        parent: $('.qcontact_container')
                    }
                });

                $('[data-toggle=tab]').on('click', function() {
                    $('[data-toggle="tab"]').on('shown.bs.tab', function () {
                        var builder = $('.widgets').data('builder');

                        builder.restart();

                        qcontact_utils.close_panel();
                    });
                });
            }

            $(function() {
                $(document).on('click', 'a.insert_template', insert_short_code);

                $('body').append('<div class="container_builder"></div>');

                $('#add-qcontact').on('click', function() {
                    var media_icon = $("#qcontact-media-icon");
                    var old_icon = media_icon.attr('src');
                    media_icon
                        .addClass("load-modal-animation")
                        .attr("src","<?php echo h\assets("/images/ajax-loader.gif"); ?>");
                    $.ajax({
                        type: "post",url: "<?php echo esc_url( admin_url('admin-post.php') ); ?>",
                        data: {
                            action:'load_template',
                            _ajax_nonce: '<?php echo $nonce; ?>',
                            post_id: '<?php echo $post->ID; ?>'
                        },
                        success: function(data) {
                            var builder_container = $('.container_builder');

                            builder_container.html(data);
                            builder_container.find('#qcontact').modal();

                            $('#qcontact').on('shown.bs.modal', function () {
                                initialize_builder();
                            }).on('hide.bs.modal', function () {
                                $('[data-toggle=popover]', document).popover('destroy')
                            })

                        },
                        complete: function() {
                            media_icon
                                .removeClass("load-modal-animation")
                                .attr("src", old_icon);
                        }
                    });

                    return false;
                });
            });
        })(jQuery);
    </script>
<?php endif; ?>