<?php
    use Builder\App\Application\Bootstrap\Helpers as h;
?>

<?php
    if(function_exists( 'wp_enqueue_media' )){
        wp_enqueue_media();
    } else {
        wp_enqueue_style('thickbox');
        wp_enqueue_script('media-upload');
        wp_enqueue_script('thickbox');
    }
?>

<div class="qcontact_custom-bg qcontact_general_template" style="background-image: url('<?php echo  h\assets('images/custom-bg.jpg') ?>');">
    <div class="qcontact_form builder_container">
        <form action="<?php echo esc_url( admin_url('admin-post.php') ); ?>" method="post">
           <div class="row">
               <div class="col-md-12 avatar" data-type="headline" data-toggle="popover">
                   <h2>Contact Us</h2>
               </div>

               <div class="col-md-12 avatar" data-type="paragraph" data-toggle="popover">
                   <p>United States of America, New York, 29132
                       19B Cameron Street, 900 - 125 - 458</p>
               </div>

               <div class="col-md-12 avatar" data-type="text" data-toggle="popover">
                   <input type="text"  name="name-lastname" class="form-control" placeholder="Name, Lastname">
               </div>

               <div class="col-md-12 avatar" data-type="text" data-toggle="popover">
                   <input type="email"  name="e-mail" class="form-control" placeholder="E-mail">
               </div>

               <div class="col-md-12 avatar" data-type="text" data-toggle="popover">
                   <textarea name="message" id="" cols="30" rows="10" class="form-control" placeholder="Message"></textarea>
               </div>

               <div class="col-md-12 avatar" data-type="button" data-toggle="popover">
                   <button type="submit" class="qcontact_submit-btn btn btn-success"><img
                           src="<?php echo  h\assets('images/icon-send.png') ?>" alt=""> Submit
                   </button>
               </div>
           </div>

            <div style="display: none">%message%</div>

            <input type="hidden" name="action" value="qcontact_form">
        </form>
    </div>
</div>

<script type="text/javascript">
    (function($) {
        $('a.qcontact_upload_btn', document).on('click', function(e) {
            e.preventDefault();

            var media_uploader = wp.media({
                title: 'Choose background',
                button: {
                    text: 'Select'
                },
                multiple: false
            })
                .on('select', function() {
                    var attachment = media_uploader.state().get('selection').first().toJSON();

                    $('.qcontact_custom-bg', document)
                        .css("background-image", "url("+attachment.url+")");
                }).open();
        });
    })(jQuery)
</script>